Subject: [os2genau_digest] No. 1799
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 30 Mar 2009 00:01:01 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 29 March 2009
 Number  1799
**************************************************

Subjects for today
 
1   Daylight saving : Peter Moylan <peter at pmoylan dot org>
2  Re:  Daylight saving : Peter L Allen" <allenpl at tastelfibre dot com dot au>
3  Re:  Daylight saving : Peter Moylan <peter at pmoylan dot org>
4  Re:  Daylight saving : Paul Smedley" <paul at smedley dot id dot au>
5  Re:  Daylight saving : Ian Manners" <deadmail>
6  Re:  Daylight saving : Andrew MacIntyre <andymac at bullseye.apana dot org dot au>
7  Re:  Daylight saving : Ian Manners" <deadmail>
8  Re:  Daylight saving : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Sun, 29 Mar 2009 16:27:14 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Daylight saving

In answer to the question everyone asks twice a year: the eCSClock files 
you have to alter are in the directory C:\ecs\system\eclock and the 
files you have to alter are called tzdata and tzdata.international. I've 
never worked out which of these two is used, so I guess you have to edit 
both.

For Victoria, NSW, ACT, and Tasmania: search for "AEDT" in the file, and 
change the TZ line to

TZ=AEST-10AEDT,10,1,0,7200,4,1,0,7200,3600

(Then change the actual clock, because it's probably already done a 
premature switch of one unwanted hour.) This should also get the change 
correct next October, unless they go and change the legislation again.

For South Australia: similar to above, but CST-9:30CDT instead of 
AEST-10AEDT.

For Qld and NT: no change needed, I don't think they ever switched to 
summer time.

For WA: I'm not sure. My copy of eClock says that Perth doesn't observe 
daylight saving time, but I have a strong suspicion that that's wrong. 
Google tells me that WA did in fact end summer time this weekend, unlike 
the eastern states, but eClock doesn't seem to know about that.

(If anyone is still puzzled about WA, let me know and I'll take the 
effort to work out the correct TZ string, because I do have it 
documented somewhere.)

The one thing I haven't managed to find out is how to find a time server 
I can synchronise to. All the old favourites seem to have stopped working.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Sun, 29 Mar 2009 18:41:33 +1000 (EST)
From:  "Peter L Allen" <allenpl at tastelfibre dot com dot au>
Subject:  Re:  Daylight saving

time-a.nist.gov	129.6.15.28

Worked for me just now,

			allenpl

On Sun, 29 Mar 2009 16:27:14 +1000, Peter Moylan wrote:

>In answer to the question everyone asks twice a year: the eCSClock files 
>you have to alter are in the directory C:\ecs\system\eclock and the 
>files you have to alter are called tzdata and tzdata.international. I've 
>never worked out which of these two is used, so I guess you have to edit 
>both.
>
>For Victoria, NSW, ACT, and Tasmania: search for "AEDT" in the file, and 
>change the TZ line to
>
>TZ=AEST-10AEDT,10,1,0,7200,4,1,0,7200,3600
>
>(Then change the actual clock, because it's probably already done a 
>premature switch of one unwanted hour.) This should also get the change 
>correct next October, unless they go and change the legislation again.
>
>For South Australia: similar to above, but CST-9:30CDT instead of 
>AEST-10AEDT.
>
>For Qld and NT: no change needed, I don't think they ever switched to 
>summer time.
>
>For WA: I'm not sure. My copy of eClock says that Perth doesn't observe 
>daylight saving time, but I have a strong suspicion that that's wrong. 
>Google tells me that WA did in fact end summer time this weekend, unlike 
>the eastern states, but eClock doesn't seem to know about that.
>
>(If anyone is still puzzled about WA, let me know and I'll take the 
>effort to work out the correct TZ string, because I do have it 
>documented somewhere.)
>
>The one thing I haven't managed to find out is how to find a time server 
>I can synchronise to. All the old favourites seem to have stopped working.
>
>-- 
>Peter Moylan                          peter at pmoylan dot org
>                                      http://www.pmoylan dot org
>
>--------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
>

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Sun, 29 Mar 2009 20:46:07 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Daylight saving

Peter L Allen wrote:
> time-a.nist.gov	129.6.15.28
>
> Worked for me just now,
>   
Thanks. For the first time in many months I have a synchronised clock.

It still surprises me that the Australian time servers aren't available. 
Ah, but now that I think of it they were mostly university servers. 
Their disappearance seems to have coincided with the rise of the 
philosophy that universities are for-profit corporations, and therefore 
shouldn't provide anything free to the public.

-- 

Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Sun, 29 Mar 2009 20:30:46 +0930
From:  "Paul Smedley" <paul at smedley dot id dot au>
Subject:  Re:  Daylight saving

Hi Peter

------- Original message -------
From: Peter Moylan <peter at pmoylan dot org>
To: os2genau at os2 dot org dot au
Sent: 29.3.'09,  14:59

> In answer to the question everyone asks twice a year: the eCSClock files 
> you have to alter are in the directory C:\ecs\system\eclock and the 
> files you have to alter are called tzdata and tzdata.international. I've 
> never worked out which of these two is used, so I guess you have to edit 
> both.
> 
> For Victoria, NSW, ACT, and Tasmania: search for "AEDT" in the file, and 
> change the TZ line to
> 
> TZ=AEST-10AEDT,10,1,0,7200,4,1,0,7200,3600
> 
> (Then change the actual clock, because it's probably already done a 
> premature switch of one unwanted hour.) This should also get the change 
> correct next October, unless they go and change the legislation again.
> 
> For South Australia: similar to above, but CST-9:30CDT instead of 
> AEST-10AEDT.
Thanks for this - perhaps we should open a ticket at ecomstation dot com to get the TZ stuff correct for eCS 2.0

> For WA: I'm not sure. My copy of eClock says that Perth doesn't observe 
> daylight saving time, but I have a strong suspicion that that's wrong. 
> Google tells me that WA did in fact end summer time this weekend, unlike 
> the eastern states, but eClock doesn't seem to know about that.

WA is currently taking part in a 3 year trial of daylight savings - with 1 more year to go until the trial ends. 

cheers,

Paul.
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Sun, 29 Mar 2009 21:19:27 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Daylight saving

Hi both Peter's,

>> time-a.nist.gov	129.6.15.28

You can also use 128.250.33.242
which is Melbourne Uni (mumnunah.csse.unimelb.edu.au)

Possibly also 210.10.87.158 and 192.189.54.17 but likely
only if you have an Australian IP (they could have changed that).

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   6 ==========================**

Date:  Sun, 29 Mar 2009 20:58:44 +1000
From:  Andrew MacIntyre <andymac at bullseye.apana dot org dot au>
Subject:  Re:  Daylight saving

Peter Moylan wrote:
> In answer to the question everyone asks twice a year: the eCSClock files 
> you have to alter are in the directory C:\ecs\system\eclock and the 
> files you have to alter are called tzdata and tzdata.international. I've 
> never worked out which of these two is used, so I guess you have to edit 
> both.
> 
> For Victoria, NSW, ACT, and Tasmania: search for "AEDT" in the file, and 
> change the TZ line to
> 
> TZ=AEST-10AEDT,10,1,0,7200,4,1,0,7200,3600
> 
> (Then change the actual clock, because it's probably already done a 
> premature switch of one unwanted hour.) This should also get the change 
> correct next October, unless they go and change the legislation again.
> 
> For South Australia: similar to above, but CST-9:30CDT instead of 
> AEST-10AEDT.

{...}

Thanks for this.

However, a note of caution: 4 character timezone names cause problems for
anything based on the EMX runtime, which only supports 3 character
timezone names :-|  If it encounters a 4 character name, it does 
everything in GMT...

Cheers,
Andrew.

-- 
-------------------------------------------------------------------------
Andrew I MacIntyre                     "These thoughts are mine alone..."
E-mail: andymac at bullseye.apana dot org dot au  (pref) | Snail: PO Box 370
        andymac at pcug dot org dot au             (alt) |        Belconnen ACT 2616
Web:    http://www.andymac dot org/               |        Australia
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Sun, 29 Mar 2009 23:17:01 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Daylight saving

Hi Andrew,

>However, a note of caution: 4 character timezone names cause problems for
>anything based on the EMX runtime, which only supports 3 character
>timezone names :-|  If it encounters a 4 character name, it does 
>everything in GMT...

Which is why I use :-

SET TZ=AET-10EDT,10,1,0,7200,4,1,0,7200,3600

Not sure where I got AET from, think it was from Uni/institutes
zone abbr file.  AET = Australian Eastern Time.

The rest I worked out manually, probably like Peter Moylan did.

And Paul is correct about WA, silly thing is daylight saving in
WA is much worst than in the East as during summer the sun is
higher in the sky compared to the eatern states, so adding the
hour makes it still daylight after 9pm. The Eastern states need
daylight saving a lot more than the west does.

Ever tried to get kids to bed while the suns still up ?

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   8 ==========================**

Date:  Sun, 29 Mar 2009 23:35:34 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Daylight saving

<quote who="Peter Moylan">

> It still surprises me that the Australian time servers aren't available..

?

au.pool.ntp dot org

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG